import { SPolylineItem, SAnchorItem } from '@saga-web/big/lib';
import { SPainter, SColor } from '@saga-web/draw/lib';

/**
 * 管道item
 *
 * */
export class TipelineItem extends SPolylineItem {
  /** 起始锚点  */
  startAnchor: SAnchorItem | null = null;
  /** 结束锚点  */
  endAnchor: SAnchorItem | null = null;

  changePos() {
    if (this.startAnchor) {
      // 判断删除equip后,不移动
      if (this.startAnchor.parent && this.startAnchor.parent.parent) {
        this.pointList[0] = this.startAnchor.mapToScene(0, 0);
      }
    }
    if (this.endAnchor) {
      // 删除equip后
      if (this.endAnchor.parent && this.endAnchor.parent.parent) {
        this.pointList[
          this.pointList.length - 1
        ] = this.endAnchor.mapToScene(0, 0);
      }
    }
  }

  // onDraw(painter:SPainter){
  //   if (this.startAnchor) {

  //   }
  //   if (this.endAnchor) 
  // }
}